Bug 53492 - ext3 errors on boot
Summary: ext3 errors on boot
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-10 15:01 UTC by Justin Nelson
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 17:27:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Nelson 2001-09-10 15:01:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
I'm receiving errors on boot relating to the hard disk. I had no problems
with ext2 (RH 6.2, 2.2.x) or NTFS (w2k) on the same drive/same box. I also
do not receive these errors on another system (Laptop, IBM Travelmate
drive) with same kernel.

Drive: Maxtor DiamondMax 5400 RPM 13GB EIDE
CPU: PIII 800 (overclocked to 920)
FSB: 100 running at 115 MHz

Note that, though the system is over-clocked, this is reproducable at the
standard settings as well.
Errors:
hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }

This happens 4 times during bootup, both with the stock kernel and a
recompiled one. This error does not appear to happen at any time after a
successful boot.

Prior to seeing the message, the system is frozen for a few (10?) seconds,
then the HDD makes a clunk sound (like when initializing) and the messages
are printed.

I don't think this is a hardware problem; I have 6 gigs for ext3 and 6 for
NTFS, and no problems arise in Win2k. Also, prior to installing the RH
beta, ext2 did not display this behavior.

In any case, everything works just fine beyond this; it only happens during
the initial bootup, and doesn't seem to cause any other problems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I'm not sure how to reproduce this. On this one particular system, it
happens at every boot. On another system (partitioned 13 gigs Fat32 and 6
gigs ext3), I see no such errors...

Actual Results:  See description...

Additional info:

Comment 1 Arjan van de Ven 2001-09-10 15:59:24 UTC
Could you try booting with "ide=nodma" on the kernel commandline ?
(either edit /boot/grub/grub.conf or type on the lilo commandline)

Comment 2 Justin Nelson 2001-09-11 09:13:06 UTC
I have tried your suggestion (ide=nodma), and this machine booted faster than
I've ever seen -- though I've never seen the error message before, everything
does work much faster with regard to disk access.

I suspect the issue might be (I probably should have mentioned this before) that
I'm using an ATA/66 drive, on an EIDE controller (Asus P3B-F motherboard, 440BX
chipset). Both the drive and the CD-ROM are on the same (primary) controller. I
was sure ATA/66 was backward compatible, but perhaps it still mucks with the DMA
part (the board does support UDMA...)

I don't know if disabling DMA is the solution to my problem, or just
trouble-shooting advice, but in either case, unless there is a fix, I'll keep
DMA off until I hear otherwise.

Thanks for the advice.


Note You need to log in before you can comment on or make changes to this bug.